#include <bits/stdc++.h>

using namespace std;

long long n,i,s,j;
long long a[100007];

int main(){
    cin >> n;
    for(i=1;i<=n;i++){
        cin >> a[i];
    }
    sort(a+1,a+1+n);
    for(i=n;i>=1;i--){
        if(a[i]>0) s+=a[i];

        for(j=1;j<i;j++) {
            if(a[j]!=a[i]) a[j]--;
        }
    }
    cout << s;
    return 0;
}
